@echo off
REM %%VER DOS Batch File for Installing NDIS Drivers to OS/2 EE v2.0b

REM *************************************************

REM  Format: From the NDIS subdirectory
REM             > os2ee\os2ee [Target_Drive:]

REM *************************************************

if not exist %1\cmlib\elnk3.os2 goto skip1
..\install\echoxy 14 10 Saving old EtherLink III driver on %1\CMLIB to ELNK3.OLD

copy %1\cmlib\elnk3.os2 %1\cmlib\elnk3.old > nul
:skip1
copy ..\mslanman.os2\drivers\ethernet\elnk3\elnk3.os2 %1\cmlib > nul
..\install\echoxy 15 10 Installed EtherLink III OS/2 driver in the directory %1\cmlib
..\install\echoxy 16 10

if not exist %1\config.sys goto errmsg
if not exist %1\cmlib\protocol.ini goto errmsg
copy %1\config.sys config.tmp > nul
copy %1\cmlib\protocol.ini protocol.tmp > nul

REM modify config.sys

:insconfig
..\install\csed /f config.tmp /b "*ELNKII*" "DEVICE=%tardrv%\CMLIB\ELNK3.OS2"
if errorlevel 1 goto errmsg
..\install\csed /f config.tmp /d "*ELNKII*"
if errorlevel 1 goto errmsg

REM check for protocol.ini already changed

..\install\csed /f protocol.tmp /s [TCMAC1] 0
if errorlevel 3 goto errmsg
if errorlevel 2 goto insproto
if errorlevel 1 goto errmsg
goto errproto


REM modify protocol.ini

:insproto
..\install\csed /f protocol.tmp /b "*[tcmac]*" "[TCMAC1]"
if errorlevel 1 goto errmsg
..\install\csed /f protocol.tmp /b "*[tcmac]*" "   DriverName = ELNK3$"
if errorlevel 1 goto errmsg
..\install\csed /f protocol.tmp /b "*[tcmac]*" "   MaxTransmits = 40"
if errorlevel 1 goto errmsg
..\install\csed /f protocol.tmp /r "*bindings = TCMAC*" "    Bindings = TCMAC1"
if errorlevel 1 goto errmsg

REM save the original files

copy %1\config.sys %1\config.old > nul
copy %1\cmlib\protocol.ini %1\cmlib\protocol.old > nul

REM copy the updated files back

copy config.tmp %1\config.sys > nul
copy protocol.tmp %1\cmlib\protocol.ini > nul

set update=y

:DONE
del *.tmp > nul

..\install\echoxy 16 10 The CONFIG.SYS and PROTOCOL.INI files have been modified
..\install\echoxy 17 10 to use the EtherLink III NDIS driver.
..\install\echoxy 20 10 Strike any key to return to the NDIS menu.
..\install\reply
ndis

:errmsg
del *.tmp > nul
..\install\echoxy 16 10 ************* Error:  Installation Aborted! **************
..\install\echoxy 17 10 Make sure that you have entered the correct drive letter
..\install\echoxy 18 10 and that you have access rights to the files.  Make sure
..\install\echoxy 19 10 that the CONFIG.SYS and PROTOCOL.INI files have not moved
..\install\echoxy 20 10 or changed since the OS/2 EE installation.
..\install\echoxy 22 10 Strike any key to return to the NDIS menu.
..\install\reply
ndis

:errconfig
del *.tmp > nul
..\install\echoxy 16 10 ************* Error:  Installation Aborted! **************
..\install\echoxy 17 10 The CONFIG.SYS file already contains a reference
:errcont
..\install\echoxy 18 10 to the ELNK3.OS2 driver.
..\install\echoxy 19 10 The CONFIG.SYS and PROTOCOL.INI files have not been changed
..\install\echoxy 22 10 Strike any key to return to the NDIS menu.
..\install\reply
ndis

:errproto
del *.tmp > nul
..\install\echoxy 16 10 ************* Error:  Installation Aborted! **************
..\install\echoxy 17 10 The PROTOCOL.INI file already contains a reference
goto errcont

